{
    "name": "sulu/skeleton",
    "license": "MIT",
    "type": "project",
    "description": "Project template for starting your new project based on the Sulu content management system",
    "homepage": "https://sulu.io/",
    "keywords": [
        "symfony",
        "sulu",
        "sulucms",
        "cms",
        "web-application",
        "platform",
        "data-managment",
        "project-template"
    ],
    "authors": [
        {
            "name": "Sulu Community",
            "homepage": "https://github.com/sulu/skeleton/graphs/contributors"
        }
    ],
    "support": {
        "issues": "https://github.com/sulu/skeleton/issues",
        "source": "https://github.com/sulu/skeleton",
        "docs": "https://docs.sulu.io/",
        "chat": "https://sulu.io/services-and-support#chat"
    },
    "require": {
        "php": "^7.4 || ^8.0",
        "ext-ctype": "*",
        "ext-iconv": "*",
        "dantleech/phpcr-migrations-bundle": "^1.2",
        "doctrine/doctrine-bundle": "^2.5",
        "doctrine/doctrine-fixtures-bundle": "^3.4",
        "doctrine/doctrine-migrations-bundle": "^3.2",
        "friendsofsymfony/http-cache-bundle": "^2.9",
        "handcraftedinthealps/zendsearch": "^2.1",
        "jackalope/jackalope-doctrine-dbal": "^1.7",
        "sulu/sulu": "~2.4.5",
        "symfony/config": "^5.4",
        "symfony/dotenv": "^5.4",
        "symfony/flex": "^1.17 || ^2.0",
        "symfony/framework-bundle": "^5.4",
        "symfony/monolog-bridge": "^5.4",
        "symfony/monolog-bundle": "^3.4",
        "symfony/runtime": "^5.4",
        "symfony/security-bundle": "^5.4",
        "symfony/swiftmailer-bundle": "^3.5",
        "symfony/twig-bundle": "^5.4",
      "ext-json": "*"
    },
    "require-dev": {
        "phpcr/phpcr-shell": "^1.3",
        "phpunit/phpunit": "^8.5 || ^9.5",
        "symfony/browser-kit": "^5.4",
        "symfony/css-selector": "^5.4",
        "symfony/debug-bundle": "^5.4",
        "symfony/error-handler": "^5.4",
        "symfony/maker-bundle": "^1.43",
        "symfony/phpunit-bridge": "^5.4",
        "symfony/thanks": "^1.2",
        "symfony/web-profiler-bundle": "^5.4"
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace": {
        "paragonie/random_compat": "2.*",
        "symfony/polyfill-ctype": "*",
        "symfony/polyfill-iconv": "*",
        "symfony/polyfill-php72": "*",
        "symfony/polyfill-php71": "*",
        "symfony/polyfill-php70": "*",
        "symfony/polyfill-php56": "*"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd",
            "bin/websiteconsole cache:clear": "php-script",
            "bin/adminconsole sulu:media:init": "php-script",
            "bin/adminconsole massive:search:init": "php-script"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ],
        "post-root-package-install": [
            "@php -r \"file_put_contents('.env.local', 'APP_ENV=dev' . PHP_EOL);\"",
            "@php -r \"file_put_contents('.env', str_replace('APP_SECRET=', 'APP_SECRET=' . bin2hex(random_bytes(16)), file_get_contents('.env')));\""
        ],
        "post-create-project-cmd": [
            "@php -r \"file_put_contents('.gitignore', str_replace(['composer.lock' . PHP_EOL, 'symfony.lock' . PHP_EOL, 'package-lock.json' . PHP_EOL], ['', '', ''], file_get_contents('.gitignore')));\"",
            "@php bin/adminconsole sulu:admin:info --ansi"
        ]
    },
    "config": {
        "allow-plugins": {
            "composer/package-versions-deprecated": true,
            "symfony/flex": true,
            "symfony/runtime": true,
            "symfony/thanks": true,
            "php-http/discovery": true
        },
        "optimize-autoloader": true,
        "sort-packages": true
    },
    "extra": {
        "symfony": {
            "allow-contrib": true
        }
    }
}
